Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 64032 - mailcheck appled does not support gssapi for authentication
Summary: mailcheck appled does not support gssapi for authentication
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-core
Version: 7.2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Aaron Brown
URL:
Whiteboard:
Depends On:
Blocks: GnomeUpstream
TreeView+ depends on / blocked
 
Reported: 2002-04-24 07:26 UTC by schulz
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-14 02:38:48 UTC


Attachments (Terms of Use)

Description schulz 2002-04-24 07:26:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.2-2smp i686; Nav)

Description of problem:
gssapi is a generic API that is used e.g. for passing kerberos tickets
without giving passwords over and over again or - even worse - storing
them in the home dir. 

This is supported by the imap server as well as pine, fetchmail etc. 

The mailcheck applet requires the passing of passwords nevertheless.
This foils the efforts put in a kerberized setup. 

An enhancemant could be done in 2 ways:
a) implement gssapi support in the mailcheck applet
b) give a possibility to provide a command on whose exit code 
   mailcheck decides wether new mail arrived or not 
   (this alternative is much simpler, I suppose). 

In the second case, fetchmail -c -m gssapi could be used as 
command to run. 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Request for enhancement. No need to reproduce.

Additional info:

Comment 1 Havoc Pennington 2002-04-28 16:52:22 UTC
Most likely to get results upstream at http://bugzilla.gnome.org/

Comment 2 Havoc Pennington 2002-07-06 02:14:51 UTC
http://bugzilla.gnome.org/show_bug.cgi?id=87468

Comment 3 Havoc Pennington 2002-12-16 18:21:28 UTC
Changing to MoveUpstream keyword instead of GnomeUpstream tracking bug.
sorry about the spam.


Note You need to log in before you can comment on or make changes to this bug.